order of reading svg paths

2014-06-10 03:59 AM - matteo ghetta

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18931

Description

When adding external SVG symbols in "SVG paths" in general options, if different paths have different SVG files/symbols that have the

same file name then the SVG in the first listed path is always used.

History

#1 - 2014-06-10 04:01 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

#2 - 2014-06-10 04:23 AM - aperi2007 -

Hi,

I add also that always the default path of svg of qgis is used firstly.

This is a no good choose because

If I add another path to reach my svg if they has the same name of an svg in default path.

My svg file never will be used.

I figure qgis now is using this approach:

n. 1) /--default-path svg of qgis/

n. 2) first path added from an user 

n. 3) second path added from an user.

QGIS start searching on N.1 .If not found go to N. 2 , if not found go to N. 3.

Instead more affordable is to use a list inverse.

So

Start to test non n. 3) if not found pass to test on N. 2 if not found pass to test on N.1 (the default-path)

This is more feasible and more easy to manage for an user.

Regards,

Andrea.

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No
- Regression? set to No

#4 - 2018-02-24 03:24 PM - matteo ghetta

- Status changed from Open to Closed

#5 - 2018-02-24 03:53 PM - Giovanni Manghi

- Resolution set to fixed/implemented
